## org.jgroups
Class ChannelNotConnectedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jgroups.ChannelException
                  org.jgroups.ChannelNotConnectedException

All Implemented Interfaces:
  java.io.Serializable

    public class ChannelNotConnectedException

extends ChannelException

Thrown if an operation is attemped on an unconnected channel.

See Also:
  Serialized Form

Constructor Summary
`ChannelNotConnectedException()`
`ChannelNotConnectedException(java.lang.String reason)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChannelNotConnectedException

    public ChannelNotConnectedException()

### ChannelNotConnectedException

    public ChannelNotConnectedException(java.lang.String reason)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.